#
# spec file for package gnuplot (Version 4.0.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gd gd-devel gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd latex-ucs less libacl libattr libcom_err libgcc libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions plotutils popt procinfo procps psmisc pwdutils rcs readline readline-devel rpm sed strace sysvinit tar tcpd te_ams te_latex tetex texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gnuplot
BuildRequires:  freetype2-devel gd-devel libjpeg-devel libpng-devel plotutils readline-devel te_ams te_latex xorg-x11-devel
URL:            http://www.gnuplot.info/
License:        Other License(s), see package, BSD
Group:          Productivity/Graphics/Visualization/Graph
Autoreqprov:    on
PreReq:         %install_info_prereq
Version:        4.0.0
Release:        20.2
Summary:        Function Plotting Utility
Source0:        gnuplot-4.0.0.tar.bz2
Source2:        gnuplot-fr.doc.bz2
Source3:        README.whynot
Patch0:         gnuplot-4.0.0.dif
Patch1:         gnuplot-4.0.0-x11ovf.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
GNUplot is a command line driven interactive function plotting utility.
 GNUplot supports many different types of terminals, plotters, and
printers (including many color devices and pseudodevices like LaTeX)
and can easily be extended to include new devices.



Authors:
--------
    Mailingliste  <bug-gnuplot@dartmouth.edu>
    Mailingliste  <info-gnuplot@dartmouth.edu>
    Mailingliste  <info-gnuplot-beta@dartmouth.edu>
    Mailingliste  <info-gnuplot-request@dartmouth.edu>

%debug_package
%prep
%setup -q -n gnuplot-%{version}
bunzip2 -dc $RPM_SOURCE_DIR/gnuplot-fr.doc.bz2 > docs/gnuplot-fr.doc
test $? -eq 0 || exit 1
%patch -P 1 -p 0 -b .x11ovf
%patch -P 0 -p 0

%build
    SECSVGA="-DSVGA_IS_SECURE=1"
    export  CPPFLAGS="-I/usr/X11R6/include -I/usr/include/gd"
    export  CFLAGS="${RPM_OPT_FLAGS} -pipe ${SECSVGA}"
    export  LDFLAGS="-L/usr/X11R6/%_lib"
    export  ARCHLIB=%_lib
    for f in docs/makefile*; do
	test -e $f || continue
	mv $f $f.bak
    done
    touch configure.in
    rm -f config.status config.log config.cache configure aclocal.m4
    aclocal -I m4
    autoconf
    ./configure			\
	--prefix=/usr		\
	--mandir=%{_mandir}	\
	--infodir=%{_infodir}	\
	--libexecdir=/usr/%_lib	\
	--datadir=/usr/share/gnuplot	\
	--with-gcc		\
	--with-x		\
	--x-includes=/usr/X11R6/include	\
	--x-libraries=/usr/X11R6/%_lib	\
	--with-readline=gnu	\
	--enable-history-file	\
	--with-linux-vga	\
	--with-gif=png		\
	--with-freetype=/usr/%_lib	\
	--with-zlib		\
	--with-gd		\
	--enable-thin-splines	\
	--with-plot=/usr/%lib
    make -f Makefile
    pushd docs/
	make -f Makefile srcdir=. clean all html pdf gpcard.ps
	pushd psdoc/
	    make -f Makefile srcdir=. clean pdf
	popd
    popd
    pushd tutorial/
	make -f Makefile srcdir=. clean pdf
    popd

%install
    rm -rf $RPM_BUILD_ROOT
    make DESTDIR=$RPM_BUILD_ROOT install
    mkdir -p $RPM_BUILD_ROOT/%{_infodir}
    mkdir -p $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc
    mkdir -p $RPM_BUILD_ROOT/%{_docdir}/gnuplot/demo
    install -m 0444 docs/*.info*      $RPM_BUILD_ROOT/%{_infodir}/
    install -m 0444 docs/*.pdf        $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
    install -m 0444 docs/gpcard.ps    $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
    install -m 0444 docs/*.html       $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
    install -m 0444 docs/psdoc/*.pdf  $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
    install -m 0444 docs/psdoc/*.ps   $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
    install -m 0444 docs/psdoc/*.gpi  $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
    install -m 0444 docs/psdoc/*.doc  $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
    install -m 0444 docs/psdoc/README $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
    install -m 0444 tutorial/*.pdf    $RPM_BUILD_ROOT/%{_docdir}/gnuplot/doc/
    install -m 0444 demo/*            $RPM_BUILD_ROOT/%{_docdir}/gnuplot/demo/
    install -m 0444 README*           $RPM_BUILD_ROOT/%{_docdir}/gnuplot/
    install -m 0444 Copyright         $RPM_BUILD_ROOT/%{_docdir}/gnuplot/
    install -m 0444 FAQ TODO VERSION  $RPM_BUILD_ROOT/%{_docdir}/gnuplot/
    install -m 0444 NEWS VERSION BUGS $RPM_BUILD_ROOT/%{_docdir}/gnuplot/
    install -m 0444 %{SOURCE3}        $RPM_BUILD_ROOT/%{_docdir}/gnuplot/
    rm -f $RPM_BUILD_ROOT/%{_docdir}/gnuplot/demo/Makefile*

%clean
    rm -rf $RPM_BUILD_ROOT

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info.gz

%files
%defattr(-,root,root)
%doc %{_docdir}/gnuplot/
/usr/bin/gnuplot
/usr/%{_lib}/gnuplot
%doc %{_infodir}/%{name}.info.gz
%doc %{_mandir}/man1/gnuplot.1.gz
/usr/share/gnuplot

%changelog -n gnuplot
* Tue Jan 31 2006 - werner@suse.de
- Fix stupid buffer overflow in x11 display program (bug #146870)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jul 21 2005 - werner@suse.de
- Re-use libgd because we get jpeg/png support with truetype font
  and gif dummy support which is png output for term gif (#97208)
* Thu Feb 10 2005 - ro@suse.de
- remove dropped tetex subpackages from nfb
* Thu Apr 29 2004 - werner@suse.de
- Use GNU readline library
- Enable thin splines for 3D
* Tue Apr 27 2004 - werner@suse.de
- Update to gnuplot 4.0.0
* Tue Apr 20 2004 - meissner@suse.de
- aliasing fixes.
* Thu Oct 16 2003 - meissner@suse.de
- Do not build as root.
- Fixed lib64 handling to be more correct, since 32bit systems
  can now have /lib64/ too.
* Fri Jun 13 2003 - coolo@suse.de
- fixing docs installation
* Thu Jun 12 2003 - coolo@suse.de
- use BuildRoot
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Tue Mar 25 2003 - werner@suse.de
- Make mouse patch work as it should
* Mon Mar 24 2003 - werner@suse.de
- Update to gnuplot 3.7.3
- Port patches (if needed) to 3.7.3
* Fri Feb 28 2003 - werner@suse.de
- Fix bug #23417: use intall-info for info file
* Fri Nov 22 2002 - werner@suse.de
- Fix buffer overflow
- Fix svgalib handling for secure svgalibs
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Mon May 06 2002 - werner@suse.de
- Do some lib64 stuff
* Thu Apr 04 2002 - ro@suse.de
- more brackets for autoconf
* Sun Feb 10 2002 - ro@suse.de
- tar option for bz2 is now "j"
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Jan 09 2002 - ro@suse.de
- fixed to compile (don't include fcntl when building the help)
* Sat Jan 05 2002 - kukuk@suse.de
- fix neededforbuild (plotutil -> plotutils)
* Tue Dec 18 2001 - werner@suse.de
- Be sure that the waitforinput function is called even if real
  readline library is used or none interactive mode is on.  Be sure
  that the buffered token will be handles even if there is no
  activity on stdin and set a time out to be not blocked (#12625)
* Mon Nov 12 2001 - ro@suse.de
- no svgalib
* Tue Jun 12 2001 - schwab@suse.de
- Fix for new autoconf.
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Thu Mar 29 2001 - garloff@suse.de
- Prevent stupid rounding errors 10*10^23 instead of 10^24
  in graphics.c: mant_exp()
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Sun Dec 03 2000 - schwab@suse.de
- Fix resource leak in X11 terminal driver.
* Wed Jun 21 2000 - werner@suse.de
- Add French doc (somewhat out of date)
* Wed Jun 07 2000 - werner@suse.de
- New version 3.7.1 with many bug fixes included
* Tue Jun 06 2000 - uli@suse.de
- moved docs to /usr/share/doc
* Fri Feb 25 2000 - kukuk@suse.de
- Move /usr/{info,man} -> /usr/share/{info,man}
* Mon Oct 11 1999 - ro@suse.de
- disabled gdlib support (we have png anyway and gd doesn't support
  gif any more)
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon May 03 1999 - werner@suse.de
- Do not use system time because gnuplot interface isn't able
  to handle summer time
- Use /tmp/ for temporaray files of demos
* Wed Mar 10 1999 - werner@suse.de
- Fix from one of the authors (HBB) to avoid buffer overflow
* Tue Mar 09 1999 - werner@suse.de
- New patchlevel 0.1 with patch gnuplot.990304 for security
* Tue Mar 02 1999 - werner@suse.de
- New version: 3.7
  * add some official fixes
  * fix the official fix of fit.c
  * add gif and unixplot for output
* Sun Aug 23 1998 - bs@suse.de
- fixed "neededforbuild"
* Mon Jul 13 1998 - werner@suse.de
- New version: 3.5beta6.347
  * Security fix for svga linux driver call
  * Some enhancements
  * Some bug fixes
* Thu Oct 23 1997 - werner@suse.de
- New version: 3.5beta6.336
* Mon Feb 03 1997 - werner@suse.de
- Update auf Version 3.5-beta-3.6pl319
- Diese Version hat splines und bezier zum Fit fr
  von Messdaten.
- verschoben von ap1 -> xap1
* Thu Jan 02 1997 - werner@suse.de
- Neu Erstellen des Paketes:
  Mit vollstndiger Dokumentation und Beispielen
  unter /usr/doc/packages/gnuplot/
- fig und bfig (xfig-Format 2.1)
  wird von xfig in xfig-Format 3.2 konvertiert.
